import request from '@/utils/request'

// 查询成品生产入库记录报列表
export function listProductputrecords(query) {
	return request({
		url: '/wms/productputrecords/list',
		method: 'get',
		params: query
	});
}

// 查询成品生产入库记录报详细
export function getProductputrecords(id) {
	return request({
		url: '/wms/productputrecords/' + id,
		method: 'get'
		});
}

// 新增成品生产入库记录报
export function addProductputrecords(data) {
	return request({
		url: '/wms/productputrecords',
		method: 'post',
		data: data
	});
}

// 修改成品生产入库记录报
export function updateProductputrecords(data) {
	return request({
		url: '/wms/productputrecords',
		method: 'put',
		data: data
	});
}

// 删除成品生产入库记录报
export function delProductputrecords(id) {
	return request({
		url: '/wms/productputrecords/' + id,
		method: 'delete'
	});
}
